Subject: Re: bug#946: 23.0.60; html-mode regression ('' within a table)

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Sep 2008 09:00:50 -0400

>> 6. This does not occur with emacs 22.2 and does not occur if
>> the three characters '9' are replaced with 9 or '9 but does occur if
>> they are replaced with 9'

> This happens because `backward-sexp' calls `backward-prefix-chars' which
> skips the "'".  Could you please try the attached patch.

Since this is working with sgml-tag-syntax-table, a better fix would be
to make sure that ' doesn't have prefix syntax in that table.

        Stefan "assuming this is indeed the problem"